(function() {
  "use strict";

  module("Spritey: No conflict");

  test("no conflict", function() {
    expect(4);

    // assuming that window.Spritey was undefined before...
    var s = Spritey,
        s2;

    ok(s, "Spritey exists");
    ok(window.Spritey, "window.Spritey set");

    s2 = Spritey.noConflict();

    ok(typeof(window.Spritey) === "undefined", "window.Spritey reset");
    equal(s, s2, "Spritey.noConflict returns Spritey");

    // reset again, so other tests will work:
    window.Spritey = s;
  });
})();