(function() {
  "use strict";

  module("Spritey: Animation");

  test("validate config", function() {
    expect(999);

    ok(new Spritey(), "all ok");

    throws(function() {
      new Spritey(null, {
        animations: {
          "test": {
            from: 2,
            to: 3,
            frames: [1,2,3]
          }
        }
      });
    }, Spritey.Error.InvalidAnimationConfig, ".frames and also .from given");

    throws(function() {
      new Spritey(null, {
        animations: {
          "test": {
            from: 2
          }
        }
      });
    }, Spritey.Error.InvalidAnimationConfig, ".from and .to only together");
  });
})();